List wallet transactions
curl --request GET \
--url https://api.fastcac.com/v1/balance/transactions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fastcac.com/v1/balance/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fastcac.com/v1/balance/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fastcac.com/v1/balance/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastcac.com/v1/balance/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "list",
"data": [
{
"object": "wallet_transaction",
"id": "wtx_7cPW9q8slkcCOA6jSYlINy",
"type": "deposit",
"amount": "350000.00",
"balance_after": "1245000.00",
"currency": "NGN",
"registration_id": null,
"sender_name": "TEST DEPOSIT",
"sender_bank": null,
"description": "Simulated bank transfer (test mode).",
"created_at": "2026-10-25T05:53:50Z"
},
{
"object": "wallet_transaction",
"id": "wtx_7Jli8qzY7zt08H5o3UPGJX",
"type": "registration_charge",
"amount": "-35000.00",
"balance_after": "895000.00",
"currency": "NGN",
"registration_id": "reg_0BEsTwuUk84zI2YzPP5o0H",
"sender_name": null,
"sender_bank": null,
"description": "Business Name registration reg_0BEsTwuUk84zI2YzPP5o0H",
"created_at": "2026-10-25T05:53:49Z"
},
{
"object": "wallet_transaction",
"id": "wtx_2adjEqZGJ5pbOY1jwETTg3",
"type": "registration_charge",
"amount": "-35000.00",
"balance_after": "930000.00",
"currency": "NGN",
"registration_id": "reg_3HQTkN06PRMvpK4vCZ1eYT",
"sender_name": null,
"sender_bank": null,
"description": "Business Name registration reg_3HQTkN06PRMvpK4vCZ1eYT",
"created_at": "2026-10-25T05:53:48Z"
}
],
"has_more": true
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "authentication_error",
"code": "api_key_missing",
"message": "Send your API key as `Authorization: Bearer <key>`.",
"param": null,
"request_id": "req_YJt2gM0BsAkpffXMBqyXSlRl"
}
}{
"error": {
"type": "permission_error",
"code": "live_mode_unavailable",
"message": "Live registrations are paused right now. Use a test key (fc_test_…) meanwhile.",
"param": null,
"request_id": "req_wgBktVSfV339LVnBZfTmu3u1"
}
}{
"error": {
"type": "not_found_error",
"code": "resource_missing",
"message": "No such registration: reg_0000000000000000000000.",
"param": "id",
"request_id": "req_gbQw9iB4MBVzQzZgN79RVjdz"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}Balance
List wallet transactions
GET
/
balance
/
transactions
List wallet transactions
curl --request GET \
--url https://api.fastcac.com/v1/balance/transactions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fastcac.com/v1/balance/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fastcac.com/v1/balance/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fastcac.com/v1/balance/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastcac.com/v1/balance/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "list",
"data": [
{
"object": "wallet_transaction",
"id": "wtx_7cPW9q8slkcCOA6jSYlINy",
"type": "deposit",
"amount": "350000.00",
"balance_after": "1245000.00",
"currency": "NGN",
"registration_id": null,
"sender_name": "TEST DEPOSIT",
"sender_bank": null,
"description": "Simulated bank transfer (test mode).",
"created_at": "2026-10-25T05:53:50Z"
},
{
"object": "wallet_transaction",
"id": "wtx_7Jli8qzY7zt08H5o3UPGJX",
"type": "registration_charge",
"amount": "-35000.00",
"balance_after": "895000.00",
"currency": "NGN",
"registration_id": "reg_0BEsTwuUk84zI2YzPP5o0H",
"sender_name": null,
"sender_bank": null,
"description": "Business Name registration reg_0BEsTwuUk84zI2YzPP5o0H",
"created_at": "2026-10-25T05:53:49Z"
},
{
"object": "wallet_transaction",
"id": "wtx_2adjEqZGJ5pbOY1jwETTg3",
"type": "registration_charge",
"amount": "-35000.00",
"balance_after": "930000.00",
"currency": "NGN",
"registration_id": "reg_3HQTkN06PRMvpK4vCZ1eYT",
"sender_name": null,
"sender_bank": null,
"description": "Business Name registration reg_3HQTkN06PRMvpK4vCZ1eYT",
"created_at": "2026-10-25T05:53:48Z"
}
],
"has_more": true
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "authentication_error",
"code": "api_key_missing",
"message": "Send your API key as `Authorization: Bearer <key>`.",
"param": null,
"request_id": "req_YJt2gM0BsAkpffXMBqyXSlRl"
}
}{
"error": {
"type": "permission_error",
"code": "live_mode_unavailable",
"message": "Live registrations are paused right now. Use a test key (fc_test_…) meanwhile.",
"param": null,
"request_id": "req_wgBktVSfV339LVnBZfTmu3u1"
}
}{
"error": {
"type": "not_found_error",
"code": "resource_missing",
"message": "No such registration: reg_0000000000000000000000.",
"param": "id",
"request_id": "req_gbQw9iB4MBVzQzZgN79RVjdz"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}Authorizations
Your secret API key: fc_test_… in test mode, fc_live_… in live mode.
Query Parameters
Required range:
1 <= x <= 100A wtx_… id from the previous page.